@base <https://purl.org/coscine/ap/qudt/quantitykind/SecondMomentOfArea/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/SecondMomentOfArea/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Flächenträgheitsmoment sind."@de,
    "Profile for all units that are a/an Second Moment Of Area."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Flächenträgheitsmoment"@de,
    "Unit: Second Moment Of Area"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:KiloGM-CentiM2 unit:KiloGM-M2 unit:KiloGM-MilliM2 unit:LB-FT2 unit:LB-IN2 ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:KiloGM-CentiM2 rdfs:label "Kilogram Square Centimeter"@en-us, "Kilogram Square Centimetre"@en .
unit:KiloGM-M2 rdfs:label "Kilogram Square Meter"@en-us, "Kilogramm Mal Quadratmeter"@de, "Chilogrammo Metro Quadrato"@it, "Kilogram Meter Persegi"@ms, "Kilogram Metrekare"@tr, "Kilogram Square Metre"@en, "Kilogram Čtvereční Metr"@cs, "Kilogram-Metru Pătrat"@ro, "Kilogramme-Mètre Carré"@fr, "Kilogramo Metro Cuadrado"@es, "Quilograma-Metro Quadrado"@pt, "Килограмм-Квадратный Метр"@ru, "كيلوغرام متر مربع"@ar, "نیوتون متر مربع"@fa, "किलोग्राम वर्ग मीटर"@hi, "キログラム平方メートル"@ja, "千克平方米"@zh .
unit:KiloGM-MilliM2 rdfs:label "Kilogram Square Millimeter"@en-us, "Kilogram Square Millimetre"@en .
unit:LB-FT2 rdfs:label "Pound Mass (Avoirdupois) Square Foot"@en .
unit:LB-IN2 rdfs:label "Pound Mass (Avoirdupois) Square Inch"@en .
